VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::ResourceInaccessible Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::ResourceInaccessible:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::ResourceInaccessible` error indicates that the method could not be completed because an entity is not accessible.

Examples:

- Attempt to invoke some method on a virtual machine when the virtual machine's configuration file is not accessible (for example due to a storage APD condition).

Counterexamples:

- Attempt to invoke some method when the server is too busy. The class Com::Vmware::Vapi::Std::Errors::ServiceUnavailable error would be used instead.
- Attempt to invoke some method when the server is undergoing maintenance. The class Com::Vmware::Vapi::Std::Errors::ServiceUnavailable error would be used instead.
- Some method fails to contact VMware Tools running inside the virtual machine. The class Com::Vmware::Vapi::Std::Errors::ServiceUnavailable error would be used instead.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::ResourceInaccessible::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::ResourceInaccessible structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::ResourceInaccessible');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.resource_inaccessible');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/ResourceInaccessible.pm